Skip to content

Create Monitoring Group

POST
/alerts/monitoring-groups/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/monitoring-groups/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "dev-group",
"description": "this is the group for all the developers",
"member_ids": [
12345
]
}'

Create a new monitoring group to associate users with alerts.

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name

Name of the monitoring group

string

Example

dev-group
description

Description of the monitoring group

string

Example

this is the group for all the developers
member_ids

List of member IDs to be included in the group

Array<integer>

Example

[
12345
]

Monitoring group created successfully

Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
description
string
project
integer
member_ids
Array<integer>
alerts
Array<object>
object
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
errors
object

Example

{
"code": 201,
"message": "Monitoring group created successfully",
"data": {
"id": 37,
"name": "dev-group",
"description": "this is the group for all the developers",
"project": 10450,
"member_ids": [
12345
],
"alerts": [],
"created_by": {
"id": 1001,
"name": "User Name",
"email": "user@example.com",
"username": "user@example.com"
},
"created_at": "2026-03-25T06:22:57Z",
"updated_at": "2026-03-25T06:22:57Z"
},
"errors": {}
}